### Class

# Foundry InputValidator

#### Description

    abstract class Foundry.InputValidator : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryInputValidatorDelegate
- FoundryInputValidatorRegex

#### Instance methods

###### foundry_input_validator_validate

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryInputValidatorClass {
      GObjectClass parent_class;
      DexFuture* (* validate) (
        FoundryInputValidator* self,
        FoundryInput* input
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`validate: DexFuture* (* validate) ( FoundryInputValidator* self, FoundryInput* input )`

  No description available.

#### Virtual methods

###### Foundry.InputValidatorClass.validate

No description available.